declare function numeralFormat(value: number | string, pattern?: string, def?: string): string;
declare function to(value: number | string, pattern?: string, def?: string): string | number;
declare function ensure(value: any[] | any): any[];
declare function avg(source: any, index: any, start?: number, end?: any): number;
declare function sum(source: any, index: any, start?: number, end?: any): number;
declare function min(source: any, index: any, start?: number, end?: any): number;
declare function max(source: any, index: any, start?: number, end?: any): number;
declare function toArea(map: any, area: any[], source: any[]): any[];
declare function findNowIndex(source: any[][]): number;
declare function findDataIndex(target: number | string, source: any[][], index?: number, start?: number, end?: number): number;
declare function complexMinMaxIndex(value: any, code: any): any[];
declare function simpleMinMaxIndex(value: any): any[];
declare function minimum(v: any, a: any, limit?: number): number;
declare function maximum(v: any, a: any, limit?: number): number;
declare function getNearNDays(data: any[], day?: number): any[];
declare function adjustCapacity(capacity: number): number;
declare function adjustCapacityUnit(capacity: number): string;
export { numeralFormat, to, ensure, min, avg, max, sum, toArea, findNowIndex, minimum, maximum, getNearNDays, adjustCapacityUnit, adjustCapacity, complexMinMaxIndex, simpleMinMaxIndex, findDataIndex };
